import { PrismaClient } from "@prisma/client";

const prisma = new PrismaClient();

export const getCoaches = async (req, res) => {
    try {
        const coaches = await prisma.coach.findMany();
        res.status(200).json({ status: 200, data: coaches });
    } catch (error) {
        res.status(500).json({ status: 500, message: error.message });
    }
};

export const createCoach = async (req, res) => {
    try {
        const newEvent = await prisma.coach.create({
            data: {
                ...req?.body,
            },
        });
        res.status(201).json({ status: 201, data: newEvent });
    } catch (error) {
        res.status(500).json({ status: 500, message: error.message });
    }
};

export const updateCoach = async (req, res) => {
    const { id } = req.params;
    try {
        const updatedEvent = await prisma.coach.update({
            where: { id: id },
            data: {
                ...req?.body,
            },
        });
        res.status(200).json({ status: 200, data: updatedEvent });
    } catch (error) {
        res.status(500).json({ status: 500, message: error.message });
    }
};

export const deleteCoach = async (req, res) => {
    const { id } = req.params;
    try {
        await prisma.coach.delete({
            where: { id: id },
        });
        res.status(200).json({
            status: 200,
            message: "Event deleted successfully",
        });
    } catch (error) {
        res.status(500).json({ status: 500, message: error.message });
    }
};
