config();
import { config } from "dotenv";
import express from "express";
import cors from "cors";

import EventRouter from "./routes/Event.route.js";
import CoachRouter from "./routes/Coach.route.js";
import HeroImageRouter from "./routes/HeroImage.route.js";

const PORT = process.env.PORT;

const app = express();

app.use(express.json());
app.use(express.urlencoded({ extended: true }));
app.use(cors());

// Test endpoint
app.get("/api", (req, res) =>
    res.status(200).json({ message: "API is working!" })
);

app.use("/api/coach", CoachRouter);
app.use("/api/event", EventRouter);
app.use("/api/hero-image", HeroImageRouter);

app.listen(PORT, () => console.log(`Server started on port = ${PORT}`));
