import express from "express";

import {
    getCoaches,
    createCoach,
    updateCoach,
    deleteCoach,
} from "../controllers/Coach.controller.js";

const CoachRouter = express.Router();

CoachRouter.get("/", getCoaches)
    .post("/", createCoach)
    .put("/:id", updateCoach)
    .delete("/:id", deleteCoach);

export default CoachRouter;
